## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without check

%global srcname h5netcdf

Name: python-%{srcname}
Version: 1.2.0
Release: %autorelease
Summary: Python interface for the netCDF4 file-format in HDF5 files
License: BSD

URL: https://h5netcdf.org/
Source0: %{pypi_source}

BuildArch: noarch
BuildRequires:  python3-devel

%global _description %{expand:
A Python interface for the netCDF4 file-format that reads and writes 
local or remote HDF5 files directly via h5py or h5pyd, without relying 
on the Unidata netCDF library.}     

%description %_description

%package -n python3-%{srcname}
Summary: %{summary}

%description -n python3-%{srcname}
%_description

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
# Testing
%if %{with check}
%pyproject_buildrequires -x test
%else
%pyproject_buildrequires 
%endif

%build
%pyproject_wheel

%install
%pyproject_install

%pyproject_save_files h5netcdf

%check
%if %{with check}
%pytest
%else
%pyproject_check_import -e '*.test*'
%endif

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst AUTHORS.txt

%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 1.2.0-4
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Sep 11 2023 Sergio Pascual <sergiopr@fis.ucm.es> - 1.2.0-1
- Initial import (fedora#2213518).
## END: Generated by rpmautospec
